Package org.apache.felix.http.javaxwrappers

# Class ServletExceptionUtil

java.lang.Object
org.apache.felix.http.javaxwrappers.ServletExceptionUtil

public class ServletExceptionUtil extends Object
Helper class to wrap servlet exceptions

## Constructor Summary

Constructors
Constructor
Description
`ServletExceptionUtil()`

## Method Summary

Modifier and Type
Method
Description
`static javax.servlet.ServletException`
`getServletException(@NotNull jakarta.servlet.ServletException e)`
Get javax servlet exception

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletExceptionUtil

public ServletExceptionUtil()

## Method Details

### getServletException

public static javax.servlet.ServletException getServletException(@NotNull @NotNull jakarta.servlet.ServletException e)
Get javax servlet exception

Parameters:
  `e` - Jakarta exception
Returns:
  The exception